Mailinglist Archive: opensuse-security-announce (29 mails)

< Previous Next >
[security-announce] SUSE-SU-2012:1033-1: important: Security update for PHP5
SUSE Security Update: Security update for PHP5
______________________________________________________________________________

Announcement ID: SUSE-SU-2012:1033-1
Rating: important
References: #769785 #772580 #772582
Cross-References: CVE-2012-2688 CVE-2012-3365
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
SUSE Linux Enterprise Server 11 SP2
______________________________________________________________________________

An update that solves two vulnerabilities and has one
errata is now available.

Description:


Three security bugs have been fixed in PHP5.

* CVE-2012-2688: php5: potential overflow in
_php_stream_scandir
* CVE-2012-3365: open_basedir bypass via SQLite
extension
* CVE-2012-3450: An out of band read sql denial of
service has been fixed (bnc#769785)

Security Issue reference:

* CVE-2012-2688
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2688
>
* CVE-2012-3365
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3365
>
* CVE-2012-3450
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3450
>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP2:

zypper in -t patch sdksp2-apache2-mod_php53-6634

- SUSE Linux Enterprise Server 11 SP2 for VMware:

zypper in -t patch slessp2-apache2-mod_php53-6634

- SUSE Linux Enterprise Server 11 SP2:

zypper in -t patch slessp2-apache2-mod_php53-6634

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP2 (i586 ia64 ppc64
s390x x86_64):

php53-devel-5.3.8-0.35.1
php53-imap-5.3.8-0.35.1
php53-posix-5.3.8-0.35.1
php53-readline-5.3.8-0.35.1
php53-sockets-5.3.8-0.35.1
php53-sqlite-5.3.8-0.35.1
php53-tidy-5.3.8-0.35.1

- SUSE Linux Enterprise Server 11 SP2 for VMware (i586 x86_64):

apache2-mod_php53-5.3.8-0.35.1
php53-5.3.8-0.35.1
php53-bcmath-5.3.8-0.35.1
php53-bz2-5.3.8-0.35.1
php53-calendar-5.3.8-0.35.1
php53-ctype-5.3.8-0.35.1
php53-curl-5.3.8-0.35.1
php53-dba-5.3.8-0.35.1
php53-dom-5.3.8-0.35.1
php53-exif-5.3.8-0.35.1
php53-fastcgi-5.3.8-0.35.1
php53-fileinfo-5.3.8-0.35.1
php53-ftp-5.3.8-0.35.1
php53-gd-5.3.8-0.35.1
php53-gettext-5.3.8-0.35.1
php53-gmp-5.3.8-0.35.1
php53-iconv-5.3.8-0.35.1
php53-intl-5.3.8-0.35.1
php53-json-5.3.8-0.35.1
php53-ldap-5.3.8-0.35.1
php53-mbstring-5.3.8-0.35.1
php53-mcrypt-5.3.8-0.35.1
php53-mysql-5.3.8-0.35.1
php53-odbc-5.3.8-0.35.1
php53-openssl-5.3.8-0.35.1
php53-pcntl-5.3.8-0.35.1
php53-pdo-5.3.8-0.35.1
php53-pear-5.3.8-0.35.1
php53-pgsql-5.3.8-0.35.1
php53-pspell-5.3.8-0.35.1
php53-shmop-5.3.8-0.35.1
php53-snmp-5.3.8-0.35.1
php53-soap-5.3.8-0.35.1
php53-suhosin-5.3.8-0.35.1
php53-sysvmsg-5.3.8-0.35.1
php53-sysvsem-5.3.8-0.35.1
php53-sysvshm-5.3.8-0.35.1
php53-tokenizer-5.3.8-0.35.1
php53-wddx-5.3.8-0.35.1
php53-xmlreader-5.3.8-0.35.1
php53-xmlrpc-5.3.8-0.35.1
php53-xmlwriter-5.3.8-0.35.1
php53-xsl-5.3.8-0.35.1
php53-zip-5.3.8-0.35.1
php53-zlib-5.3.8-0.35.1

- SUSE Linux Enterprise Server 11 SP2 (i586 ia64 ppc64 s390x x86_64):

apache2-mod_php53-5.3.8-0.35.1
php53-5.3.8-0.35.1
php53-bcmath-5.3.8-0.35.1
php53-bz2-5.3.8-0.35.1
php53-calendar-5.3.8-0.35.1
php53-ctype-5.3.8-0.35.1
php53-curl-5.3.8-0.35.1
php53-dba-5.3.8-0.35.1
php53-dom-5.3.8-0.35.1
php53-exif-5.3.8-0.35.1
php53-fastcgi-5.3.8-0.35.1
php53-fileinfo-5.3.8-0.35.1
php53-ftp-5.3.8-0.35.1
php53-gd-5.3.8-0.35.1
php53-gettext-5.3.8-0.35.1
php53-gmp-5.3.8-0.35.1
php53-iconv-5.3.8-0.35.1
php53-intl-5.3.8-0.35.1
php53-json-5.3.8-0.35.1
php53-ldap-5.3.8-0.35.1
php53-mbstring-5.3.8-0.35.1
php53-mcrypt-5.3.8-0.35.1
php53-mysql-5.3.8-0.35.1
php53-odbc-5.3.8-0.35.1
php53-openssl-5.3.8-0.35.1
php53-pcntl-5.3.8-0.35.1
php53-pdo-5.3.8-0.35.1
php53-pear-5.3.8-0.35.1
php53-pgsql-5.3.8-0.35.1
php53-pspell-5.3.8-0.35.1
php53-shmop-5.3.8-0.35.1
php53-snmp-5.3.8-0.35.1
php53-soap-5.3.8-0.35.1
php53-suhosin-5.3.8-0.35.1
php53-sysvmsg-5.3.8-0.35.1
php53-sysvsem-5.3.8-0.35.1
php53-sysvshm-5.3.8-0.35.1
php53-tokenizer-5.3.8-0.35.1
php53-wddx-5.3.8-0.35.1
php53-xmlreader-5.3.8-0.35.1
php53-xmlrpc-5.3.8-0.35.1
php53-xmlwriter-5.3.8-0.35.1
php53-xsl-5.3.8-0.35.1
php53-zip-5.3.8-0.35.1
php53-zlib-5.3.8-0.35.1


References:

http://support.novell.com/security/cve/CVE-2012-2688.html
http://support.novell.com/security/cve/CVE-2012-3365.html
https://bugzilla.novell.com/769785
https://bugzilla.novell.com/772580
https://bugzilla.novell.com/772582

http://download.novell.com/patch/finder/?keywords=420b5b682c991063fad653127ae5b257

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages